Older versions upgrade

Ask questions about the mod here. If useful they will be added to the Q&A / Development updates.
Forum rules
Please do not post any crashes, malfunctions or other issues with the mod in this forum. If you have any issues with the mod, please post them here. This forum is only for questions/feedback towards the team, not for solving crashes.
Post Reply
MainMan
Posts: 4
Joined: 20 Jun 2019 16:44

20 Jun 2019 20:12

I use ETS2 Gold. I'm not sure what version it is - I bought the DVD from Amazon. How can I upgrade to a higher version so that I can install mods please? If I can upgrade great, if not, which mods are available to me and where do I find them on the site? Thank you.

MainMan

User avatar
Rudi Raser
Posts: 2891
Joined: 16 Oct 2016 15:02
Donation rank:

20 Jun 2019 20:40

there is no higher version. you can buy at Steam (or somewhere else) DLC addons.

zyprexia
Posts: 107
Joined: 12 Dec 2014 16:14

20 Jun 2019 21:25

You can use the DVD key in steam.

Note that ProMods currently does not support the latest version (1.35).
You have to downgrade to 1.34 (go to ets2 properties in steam --> Betas --> select the 'temporary_1.34' version)

Hope this helps.
System: Intel i7-6700K @ 4800Mhz, 48GB DDR4 Corsair Vengeance LPX, RTX2060, HP LP2475w monitor (1920x1200)
Devices: Logitech G27, SKRS Shifter, CH Products Throttle Quadrant, Trustmaster Hotas Joystick, TrackIR
Storage: 2 x SM961 - 250GB (raid 0), Samsung 850 pro 1TB disk, Samsung 850 EVO 2TB disk.

thm57
Posts: 37
Joined: 29 Sep 2014 23:59
Donation rank:

21 Jun 2019 20:57

I would recommend using the key to activate the game on Steam like already mentioned but here is the link to the ETS2 update page for the DVD and download versions.

https://eurotrucksimulator2.com/update.php

MainMan
Posts: 4
Joined: 20 Jun 2019 16:44

18 Jul 2019 12:04

Thanks Guys,
I already set up and logged into steam a while ago on purchase, but my ETS2 remains stuck on 1.27.

User avatar
mads1153
Posts: 881
Joined: 03 Jun 2015 19:33
Donation rank:
Location: Mandal, Agder
Contact:

21 Jul 2019 14:49

Did you set to have temporary incompatible mods for 1.27 in Steam -> ETS2 -> Properties -> Betas?
If yes, set to None to get latest update.
This mod is so awesome :D

Using Promods 2.42 + Rusmap 1.8.1.2 from GMT
Level 97 and played 3159 hours

ProMods Senior Beta Tester since 28 september 2018



Post Reply
  • Information